package sun.security.krb5.internal;

import sun.security.krb5.KrbException;
import java.io.IOException;
import sun.security.krb5.Asn1Exception;
import sun.security.util.DerValue;
import sun.security.krb5.PrincipalName;
import sun.security.krb5.EncryptionKey;

public class EncTGSRepPart extends EncKDCRepPart
{
    public EncTGSRepPart(EncryptionKey encryptionKey, LastReq lastReq, int n, KerberosTime kerberosTime, TicketFlags ticketFlags, KerberosTime kerberosTime2, KerberosTime kerberosTime3, KerberosTime kerberosTime4, KerberosTime kerberosTime5, PrincipalName principalName, HostAddresses hostAddresses, PAData[] array) {
        super(encryptionKey, lastReq, n, kerberosTime, ticketFlags, kerberosTime2, kerberosTime3, kerberosTime4, kerberosTime5, principalName, hostAddresses, array, 26);
    }
    
    public EncTGSRepPart(byte[] encoding) throws Asn1Exception, IOException, KrbException {
        this.init(new DerValue(encoding));
    }
    
    public EncTGSRepPart(DerValue derValue) throws Asn1Exception, IOException, KrbException {
        this.init(derValue);
    }
    
    private void init(DerValue derValue) throws Asn1Exception, IOException, KrbException {
        super.init(derValue, 26);
    }
    
    public byte[] asn1Encode() throws Asn1Exception, IOException {
        return super.asn1Encode(26);
    }
}
